แพลตฟอร์ม
สิ่งที่แพลตฟอร์มบอกก่อนมีใครลงชื่อเข้าใช้: เวอร์ชัน แอป การตั้งค่า ชื่อสาธารณะของ client และกุญแจ และรูปภาพ
curl -X GET "https://platform.example.com/api"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The answer, as JSON.
curl -X GET "https://platform.example.com/api/activity/admin" \ -H "Authorization: Bearer $TOKEN"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The answer, as JSON.
curl -X GET "https://platform.example.com/api/activity/drive" \ -H "Authorization: Bearer $TOKEN"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The answer, as JSON.
curl -X GET "https://platform.example.com/api/activity/group" \ -H "Authorization: Bearer $TOKEN"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The answer, as JSON.
curl -X GET "https://platform.example.com/api/activity/item" \ -H "Authorization: Bearer $TOKEN"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The answer, as JSON.
curl -X GET "https://platform.example.com/api/activity/user" \ -H "Authorization: Bearer $TOKEN"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The answer, as JSON.
curl -X GET "https://platform.example.com/api/auth" \ -H "Authorization: Bearer $TOKEN"curl -X GET "https://platform.example.com/api/configuration"curl -X GET "https://platform.example.com/api/credential/api-key/$ID"id*stringThe id.
The answer.
curl -X GET "https://platform.example.com/api/credential/client/$ID"The answer.
application/json- response
[index: integer]?unknowncurl -X GET "https://platform.example.com/api/credential/scope"[ null]id*stringThe id.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The bytes.
response?fileapplication/octet-streambinarycurl -X GET "https://platform.example.com/api/image/client/$ID""string"id*stringThe id.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The bytes.
response?fileapplication/octet-streambinarycurl -X GET "https://platform.example.com/api/image/profile/$ID""string"The site.
application/json- response
data?array<>The installed Apps, core Apps first.
apps?array<>The same list as data.
release?The Release of the platform: its version and commit.
manual?curl -X GET "https://platform.example.com/api/platform"{ "data": [ {} ], "apps": [ {} ], "release": {}, "manual": { "url": "string" }}